Skip to content

List Alerts

GET
/serving/inference/{inference_id}/alerts/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/alerts/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns all alerts attached to a model endpoint, with pagination support.

inference_id
required
integer
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

page_no
integer
default: 1

Page number for pagination.

per_page
integer
default: 5

Number of results per page.

Paginated list of alerts attached to the model endpoint.

Media typeapplication/json
object
code
integer
data
Array<object>
object
id

Attachment record ID.

integer
inference

Model endpoint ID.

integer
inference_name

Model endpoint name.

string
alert
object
id
integer
name
string
location
string
resource_type
string
metric_type
string
metric_type_unit
string
operator
string
threshold_value
number
severity
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
alert_name
string
grafana_rule_uid
string
created_at
string format: date-time
updated_at
string format: date-time
is_firing

Whether the alert is currently firing.

boolean
errors
object
message
string
total_page_number

Total number of pages.

integer
total_count

Total number of attached alerts.

integer

Example

{
"code": 200,
"message": "Success"
}